S3
curl http://127.0.0.1:8080/awsfs/path/to/a/file.txt -X PUT -d @somefile.txtcurl http://127.0.0.1:8080/awsfs/path/to/a/file.txt -o file.txtcurl http://127.0.0.1:8080/awsfs/path/to/a/file.txt -X DELETEAccess protection
S3API
Create, Update
echo 'test' > example.txt && \
curl http://127.0.0.1:8080/api/v3/fs/aws/example.txt \
-d @example.txt \
-X PUTfrom core_client import Client
client = Client(base_url="http://127.0.0.1:8080")
client.login()
client.v3_fs_put_file(
name: "aws",
path: "example.txt",
data: b"test"
)import (
"strings"
"github.com/datarhei/core-client-go/v16"
)
client, _ := coreclient.New(coreclient.Config{
Address: "https://127.0.0.1:8080",
})
data := strings.NewReader("test")
err := client.FilesystemAddFile("aws", "/example.txt", data)Writes or overwrites a file on a filesystem
Authorizations
AuthorizationstringRequired
Path parameters
namestringRequired
Name of the filesystem
pathstringRequired
Path to file
Bodyinteger[]
integer[]Optional
Responses
201
Created
stringOptional
204
No Content
507
Insufficient Storage
put/api/v3/fs/{name}/{path}
Read
List all files
List all files on a filesystem. The listing can be ordered by name, size, or date of last modification in ascending or descending order.
Authorizations
AuthorizationstringRequired
Path parameters
namestringRequired
Name of the filesystem
Query parameters
globstringOptional
glob pattern for file names
sortstringOptional
none, name, size, lastmod
orderstringOptional
asc, desc
Responses
200
OK
application/json
last_modifiedinteger · int64Optional
namestringOptional
size_bytesinteger · int64Optional
get/api/v3/fs/{name}
200
OK
Download a file
Delete
Configuration
S3Last updated
Was this helpful?
